Package org.pgpainless.key.util

# Class UserId.Builder

java.lang.Object
org.pgpainless.key.util.UserId.Builder

Enclosing class:
  `UserId`

public static final class UserId.Builder extends Object

## Method Summary

Modifier and Type
Method
Description
`UserId`
`build()`
`UserId.Builder`
`noComment()`
`UserId.Builder`
`noEmail()`
`UserId.Builder`
`noName()`
`UserId.Builder`
`withComment(String comment)`
`UserId.Builder`
`withEmail(String email)`
`UserId.Builder`
`withName(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### withName

public UserId.Builder withName(@Nonnull String name)

### withComment

public UserId.Builder withComment(@Nonnull String comment)

### withEmail

public UserId.Builder withEmail(@Nonnull String email)

### noName

public UserId.Builder noName()

### noComment

public UserId.Builder noComment()

### noEmail

public UserId.Builder noEmail()

### build

public UserId build()